Skip to main content
`Ctrl`+`K`

# ISView

Displays an index set.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISView(IS is, PetscViewer viewer)

Collective

## Input Parameters

- is - the index set

- viewer - viewer used to display the set, for example `PETSC_VIEWER_STDOUT_SELF`.

## See Also

`IS`, `PetscViewer`, `PetscViewerASCIIOpen()`, `ISViewFromOptions()`

## Level

intermediate

## Location

src/vec/is/is/interface/index.c

## Examples

src/ksp/ksp/tutorials/ex62.c
src/mat/tutorials/ex11.c
src/dm/label/tutorials/ex1f90.F90
src/ksp/ksp/tutorials/ex8.c
src/dm/tutorials/ex14.c
src/ksp/ksp/tutorials/ex84.c
src/dm/label/tutorials/ex1.c
src/dm/tutorials/ex22.c
src/dm/field/tutorials/ex1.c
src/mat/tutorials/ex1.c

## Implementations

ISView_Block() in src/vec/is/is/impls/block/block.c
ISView_General() in src/vec/is/is/impls/general/general.c
ISView_Stride() in src/vec/is/is/impls/stride/stride.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages